<template>
    <div class="field-toggle">
        <label class="field-toggle__label" :style="{'max-width': `${maxWidth}px`}" @click.prevent="toggle">
            <p :class="['field-toggle__text', {'field-toggle__text--active': this.value}]">{{ text }}</p>
            <div :class="['field-toggle__slide', {'field-toggle__slide--active': this.value}]"></div>
        </label>
    </div>
</template>

<script>
export default {
    name: 'base-field-toggle',
    props: {
        text: {
            type: String,
            required: true
        },
        maxWidth: {
            type: Number,
            default: 250
        },
        value: {
            type: Boolean,
            required: true
        }
    },
    methods: {
        toggle() {
            this.$emit('input', !this.value);
        }
    }
};
</script>

<style lang="sass">
@import "~assets/blocks/fields/field-toggle/index"
</style>
